This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 659859 - libsmbios is needed by (installed) smbios-utils-bin-2.2.19-4.1.el5.i386
libsmbios is needed by (installed) smbios-utils-bin-2.2.19-4.1.el5.i386
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.5
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-03 16:32 EST by tfowens
Modified: 2014-01-21 01:19 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-06 16:14:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description tfowens 2010-12-03 16:32:46 EST
Description of problem:
ERROR with rpm_check_debug vs depsolve:
libsmbios is needed by (installed) smbios-utils-bin-2.2.19-4.1.el5.i386

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
[root@<server>~]# yum update
Loaded plugins: fastestmirror, rhnplugin, security
Loading mirror speeds from cached hostfile
 * epel: mirror.pnl.gov
 * ius: pancks.sothatswhy.org.uk
Excluding Packages in global exclude list
Finished
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package libsmbios.i386 0:2.2.26-3.el5 set to be updated
---> Package smbios-utils-bin.x86_64 0:2.2.26-3.el5 set to be updated
--> Processing Dependency: libsmbios.so.2()(64bit) for package: smbios-utils-bin
--> Processing Dependency: libsmbios_c.so.2()(64bit) for package: smbios-utils-bin
--> Running transaction check
---> Package libsmbios.x86_64 0:2.2.26-3.el5 set to be updated
--> Finished Dependency Resolution
Comment 1 James Antill 2010-12-06 10:45:28 EST
 What does the following say:

rpm -Va --nofiles --nodigest
Comment 2 tfowens 2010-12-06 12:15:14 EST
No return value reported:

[root@<server> ~]# rpm -Va --nofiles --nodigest
[root@<server> ~]#
Comment 3 James Antill 2010-12-06 14:59:38 EST
Ok, what about:

yum list smbios-utils-bin libsmbios
rpm -q --whatprovides libsmbios
Comment 4 tfowens 2010-12-06 15:06:41 EST
[root@<server> ~]# yum list smbios-utils-bin libsmbios
Loaded plugins: fastestmirror, rhnplugin, security
Loading mirror speeds from cached hostfile
 * epel: mirror.pnl.gov
 * ius: pancks.sothatswhy.org.uk
Excluding Packages in global exclude list
Finished
Installed Packages
libsmbios.i386 2.2.19-4.1.el5
installed

smbios-utils-bin.i386
2.2.19-4.1.el5                                                                  installed

Available Packages
libsmbios.i386                                                                  2.2.26-3.el5                                                                    epel

libsmbios.x86_64                                                                2.2.26-3.el5                                                                    epel

smbios-utils-bin.x86_64                                                                      2.2.26-3.el5                                                                    epel


[root@<server> ~]# rpm -q --whatprovides libsmbios
libsmbios-2.2.19-4.1.el5
Comment 5 James Antill 2010-12-06 16:14:11 EST
Ok, so you have:

Installed:
libsmbios         i386    2.2.19-4.1.el5  installed
smbios-utils-bin  i386    2.2.19-4.1.el5  installed

Available:
libsmbios         i386    2.2.26-3.el5    epel
libsmbios         x86_64  2.2.26-3.el5    epel
smbios-utils-bin  x86_64  2.2.26-3.el5    epel


...and yum probably doesn't handle this case well, and rpm is getting really confused (maybe due to what yum is doing, but I think yum is technically right).
 Do you know how you got the .i386 version of smbios-utils-bin installed?
 If this is all from epel, then the smbios-utils-bin package needs a versioned obsoletes added for itself (so it'll move arch.)

 If you want to keep the .i386 version installed ... then just add "exclude = smbios-utils-bin" to your epel repo. configuration.

 If not then this will be your best bet:

yum shell <<EOL
remove  smbios-utils-bin.i386
install smbios-utils-bin.x86_64
run
EOL


...I'm going to close cantfix, as this is really a packaging problem and I think yum is finding _a_ solution ... it's just one the RHEL-5 version of rpm doesn't like.
Comment 6 tfowens 2010-12-06 16:21:31 EST
Ok, thanks for your help. Tim
Comment 7 tfowens 2010-12-06 16:28:23 EST
Oh, and I'm not sure how the i386 version installed. We have a twin server and it doesn't seem to be having the same issues, even though the i386 is installed also:

[root@<server2> ~]# rpm -q --whatprovides libsmbios
libsmbios-2.2.19-4.1.el5
[root@<server2> ~]# yum list smbios-utils-bin libsmbios
Loaded plugins: fastestmirror, rhnplugin, security
Loading mirror speeds from cached hostfile
Excluding Packages in global exclude list
Finished

Installed Packages
libsmbios.i386                                                                    2.2.19-4.1.el5                                                                    installed

smbios-utils-bin.i386                                                                          2.2.19-4.1.el5                                                                    installed

[root@<server2> ~]#
Comment 8 James Antill 2010-12-07 09:17:23 EST
The working server can't see the updates ... are they excluded?
Comment 9 tfowens 2010-12-07 12:39:22 EST
The differences I see in the two servers are the /etc/yum.repos.d/ packages.

The working one had only rhel-debuginfo.repo in there.
The broken one had:
rhel-debuginfo.repo
epel.repo
epel-testing.repo
ius.repo
ius-dev.repo
ius-testing.repo

On the broken server, when I moved the above epel* and ius* repo's and did a 'yum update', there was no conflict and it shows the following:

[root@<server> ~]# yum list smbios-utils-bin libsmbios
Loaded plugins: fastestmirror, rhnplugin, security
Loading mirror speeds from cached hostfile
Excluding Packages in global exclude list
Finished
Installed Packages
libsmbios.i386                                                                  2.2.19-4.1.el5                                                                  installed

smbios-utils-bin.i386                                                                        2.2.19-4.1.el5                                                                  installed
Comment 10 seth vidal 2010-12-07 12:46:09 EST
just out of morbid curiosity:
on both systems can you cat /etc/rpm/platform

and see if they are completely the same or not.
Comment 11 tfowens 2010-12-07 13:11:44 EST
server1 (broken): ia32e-redhat-linux
server2 (working): ia32e-redhat-linux
Comment 12 James Antill 2010-12-07 13:56:47 EST
Right, so the machine that doesn't work has epel enabled (where the new packages are coming from) ... and the one that works doesn't have it enabled.

Note You need to log in before you can comment on or make changes to this bug.